var client;

init();

async function init() {
  client = await app.initialized();
  client.events.on('app.activated', searchData);
}

async function searchData() {
  const searchKey = 'Andy from google' // hardcoded, please replace this with your actual DOM value
  const headers = {
    //     In the header, the value for “Authorization” must be “Basic APIkey:X” where APIkey:X must be Base64-encoded.
    // E.g. if your API key is W25uOtAmhj8V8zT9JJHh, then you must encode W25uOtAmhj8V8zT9JJHh:X to base64, resulting in: “VzI1dU90QW1oajhWOHpUOUpKSGg6WA==”. Then you pass in the header:

    // Authorization: Basic VzI1dU90QW1oajhWOHpUOUpKSGg6WA==

    // You can use this tool to encode it: https://www.base64encode.org/
    "Authorization": 'Basic <Your Encoded key here>', // your encoded api key here
    "Content-Type": "application/json",
  }
  const options = {
    headers: headers
  }
  const url = 'https://helpkitaus1.freshdesk.com/api/v2/contacts/autocomplete?term=' + searchKey

  client.request.get(url, options)
    .then(
      function (data) {
        console.log('data', data);
      },
      function (error) {
        console.log('error', error);
        //handle failure
      }
    );
}
